Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1655321 - Please rename to <something>-rpm-macros
Summary: Please rename to <something>-rpm-macros
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Festi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-02 18:11 UTC by Nicolas Mailhot
Modified: 2018-12-04 08:49 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-03 13:27:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Nicolas Mailhot 2018-12-02 18:11:52 UTC
The project naming was defined before any macro packaging convention emerged in Fedora and is wildly inconsistent with every single other Fedora macro package.

That confuses new packagers and introduces needless friction in the distribution.

Please rename to <something>-rpm-macros to follow Fedora conventions

<something> can be redhat of fedora or os

The package can still provide the old redhat-rpm-config name to avoid confusing oldtimers.

Comment 1 Panu Matilainen 2018-12-03 13:27:13 UTC
redhat-rpm-config is not just a bunch of handy macros, like the name says it is *the* rpm configuration for the whole distro, including the rpmrc, build root policies and whatnot. 

So lets go through all the pain of changing the name of a package that's older than Fedora itself to something LESS descriptive just because a bunch of vaguely similar packages have arrived on the scene since then? No we wont.

Comment 2 Nicolas Mailhot 2018-12-03 16:19:28 UTC
Oh, get off your high horse, redhat-rpm-config itself generates a subpackage named kernel-rpm-macros, so it's not like the <foo>-rpm-macros convention is limited to a "bunch of vaguely similar packages" Fedora packages, it's used by redhat-rpm-config itself.

But since you insist on being unreasonable, I'll let it pass, and you'll get the joy to justify again and again why it absolutely needs to use different naming rules than its own subpackages.

Comment 3 Panu Matilainen 2018-12-04 08:49:03 UTC
kernel-rpm-macros is named that way because it's supposed to be on it's way to be split off redhat-rpm-config.


Note You need to log in before you can comment on or make changes to this bug.